
QGIS Application - Bug report #21674

QGIS crashes soon after opening raster heavy project with some vector layers with raster effects

2019-03-25 11:46 PM - Ventsislav Nikolov

Status: Feedback

Priority: High

Assignee:

Category: Project Loading/Saving

Affected QGIS version:3.6.0 Regression?: No

Operating System: Windows 7 Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:Yes Copied to github as #: 29490

Description

Crash ID: 36e5fff2c48e71d647c0581f2dd04e87de5752ed

Stack Trace

QTextOption::wrapMode :

QTextOption::wrapMode :

QVectorPath::convertToPainterPath :

QVectorPath::convertToPainterPath :

QVectorPath::convertToPainterPath :

QVectorPath::convertToPainterPath :

QRasterPaintEngine::rasterBuffer :

QRasterPaintEngine::rasterBuffer :

QRasterPaintEngine::fill :

QPaintEngineEx::stroke :

QRasterPaintEngine::stroke :

QPaintEngineEx::draw :

QPaintEngineEx::drawPath :

QPicture::exec :

QPicture::play :

QPainter::drawPicture :

QgsPaintEffect::sourceAsImage :

QgsGlowEffect::draw :

QgsEffectStack::draw :

QgsPaintEffect::end :

QgsEffectPainter::~QgsEffectPainter :

QgsLineSymbol::renderPolylineUsingLayer :

QgsLineSymbol::renderPolyline :

QgsSymbol::renderFeature :

QgsFeatureRenderer::renderFeature :

QgsVectorLayerLabelProvider::registerFeature :

QgsPaintEffectMetadata::widgetFunction :

QgsMapRendererCustomPainterJob::doRender :

QgsMapRendererCustomPainterJob::staticRender :

QgsMapRendererJob::renderingTime :

QThreadPoolPrivate::reset :

QThread::start :

BaseThreadInitThunk :

RtlUserThreadStart :
QGIS Info

QGIS Version: 3.6.0-Noosa

QGIS code revision: 58734527ab

Compiled against Qt: 5.11.2

Running against Qt: 5.11.2

Compiled against GDAL: 2.4.0

Running against GDAL: 2.4.0

System Info

CPU Type: x86_64

Kernel Type: winnt

Kernel Version: 6.1.7601

History

#1 - 2019-03-26 03:59 PM - Giovanni Manghi

- Priority changed from Normal to High

- Status changed from Open to Feedback

Please try with a new/clean profile.

#2 - 2019-03-28 10:30 PM - Ventsislav Nikolov

I forgot to mention that the problems were with an old project made with 2.18. Tried it with a clean profile, chrashes in the "main" QGIS window stopped,

but continued when trying to edit settings in the layout window, which was also originally made with 2.18. Then I made a new layout from scratch and so far

everything works ok and there are no crashes.
